From e0182c0a9c11796db8c1d0773a3306df8f14a3ba Mon Sep 17 00:00:00 2001
From: miwu04 <mail@alanlin.icu>
Date: Tue, 17 Dec 2024 00:04:04 +0800
Subject: [PATCH 3/6] Remove upgrade mihomo UI

---
 src/renderer/src/pages/mihomo.tsx | 33 -------------------------------
 1 file changed, 33 deletions(-)

diff --git a/src/renderer/src/pages/mihomo.tsx b/src/renderer/src/pages/mihomo.tsx
index 613bf0d..d128eeb 100644
--- a/src/renderer/src/pages/mihomo.tsx
+++ b/src/renderer/src/pages/mihomo.tsx
@@ -94,39 +94,6 @@ const Mihomo: React.FC = () => {
         <SettingCard>
           <SettingItem
             title={t('mihomo.coreVersion')}
-            actions={
-              <Button
-                size="sm"
-                isIconOnly
-                title={t('mihomo.upgradeCore')}
-                variant="light"
-                isLoading={upgrading}
-                onPress={async () => {
-                  try {
-                    setUpgrading(true)
-                    await mihomoUpgrade()
-                    setTimeout(() => {
-                      PubSub.publish('mihomo-core-changed')
-                    }, 2000)
-                    if (platform !== 'win32') {
-                      new Notification(t('mihomo.coreAuthLost'), {
-                        body: t('mihomo.coreUpgradeSuccess')
-                      })
-                    }
-                  } catch (e) {
-                    if (typeof e === 'string' && e.includes('already using latest version')) {
-                      new Notification(t('mihomo.alreadyLatestVersion'))
-                    } else {
-                      alert(e)
-                    }
-                  } finally {
-                    setUpgrading(false)
-                  }
-                }}
-              >
-                <IoMdCloudDownload className="text-lg" />
-              </Button>
-            }
             divider
           >
             <Select
-- 
2.48.1

